• Which game should I use Hammer on ?
    20 replies, posted
  • Hey guys, Just wondering, what game should I enter in for the current game for the engine version mp ? Cause my only option is to use tf2 or css, can I just use a hl2 one ?
  • you can use any of them and there is two question megathreads for these kind of questions.
  • But which one do i need for episode 2 half-life stuff ? all I get for all engine options is tf2 and css for mp version, but all of the other versions have nothing. So which do I need to make gmod maps ?
  • [QUOTE=gmod1114;34720108]But which one do i need for episode 2 half-life stuff ? all I get for all engine options is tf2 and css for [B]mp version[/B], but all of the other versions have nothing. So which do I need to make gmod maps ?[/QUOTE] That's your problem. You need to set engine version to Source 2009, and then select whatever game you want. When Hammer opens, go to Tools>Options and make the settings like this: You might want to create a new configuration named Garry's Mod so you can easily switch between it and HL2, just make sure copy over the stuff from your HL2 or EP2 config. [IMG]http://i.imgur.com/7X9Xb.png[/IMG] and this [IMG]http://i.imgur.com/4CcJy.png[/IMG] Now close and open Hammer. This will tell hammer to place compiled maps in the garrysmod maps folder, and then run garrysmod when it is done compiling.
  • Using Episode 2 is very common and I believe it also gives you Half-Life 2 things like textures. Use Ep2, we all do (or at least the ones who should)
  • [QUOTE=Black-Ice;34723755]it also gives you Half-Life 2 things like textures.[/QUOTE] All OrangeBox games use default source models / textures and sounds.
  • The ep2 setting misses some entitys though, atleast they don't seem to work properly. There's no func_tracktrain last time I tried, I could create the entity and it had all the values and stuff, but when I unselected it in 3d view it was gone.
  • [QUOTE=Torekk;34725418]The ep2 setting misses some entitys though, atleast they don't seem to work properly. There's no func_tracktrain last time I tried, I could create the entity and it had all the values and stuff, but when I unselected it in 3d view it was gone.[/QUOTE] What are you talking about? func_tracktrain works fine. Sounds to me like you had select set to objects.
  • cwook, do I have to create a new mod, cause it says "no game configurations to run with" on source engine for 2009 edition! So I can't run hammer on that version or any other besides source mp version. :suicide::suicide::suicide:
  • Make sure you run the game you want to map with before you try and map for it from SDK, also make sure you have a legally obtained copy of the game.
  • Pro tip: In Source SDK, click on "Reset Game Configurations" and maybe "Refresh SDK Content" as well. Atleast that helped for me when I bought Episode Two and it didn't appear in Source SDK, after doing this it did. [QUOTE=IronPhoenix;34725596]What are you talking about? func_tracktrain works fine. Sounds to me like you had select set to objects.[/QUOTE] I'm talking about this: [video=youtube;FhVc3c9XHyE]http://www.youtube.com/watch?v=FhVc3c9XHyE[/video] I'm pretty sure it's not supposed to be like that.
  • [QUOTE=Torekk;34727003]Pro tip: In Source SDK, click on "Reset Game Configurations" and maybe "Refresh SDK Content" as well. Atleast that helped for me when I bought Episode Two and it didn't appear in Source SDK, after doing this it did. I'm talking about this: [video=youtube;FhVc3c9XHyE]http://www.youtube.com/watch?v=FhVc3c9XHyE[/video] I'm pretty sure it's not supposed to be like that.[/QUOTE] Its a brush entity, not a point entity. You cannot select if from the entity list, it is not meant it be applied to a point, only on to a brush.
  • ok guys, I think I got it, problem is, I have no games for source engine versions 2006-2009, so I created a mod for version 2007, is that ok ?
  • No, that's not okay. You're trying to create a map, not a mod. Are you sure you bought the games and didn't pirate them?
  • I dont have hl2! Never bought it ! So I cant make maps for gmod right? No HL2 EPISODE 2 !!!!!!
  • You can make gmod maps in css config, if you don't have ep2 then you wont get any content from it and use source mp or source 2009, you only use the other versions for mod making.
  • [QUOTE=gmod1114;34732069]I dont have hl2! Never bought it ! So I cant make maps for gmod right? No HL2 EPISODE 2 !!!!!![/QUOTE] You can only use content from the games you own. If you only have css, you can only make maps using the css config, and using the ccs content.
  • [QUOTE=Torekk;34725418]The ep2 setting misses some entitys though, atleast they don't seem to work properly. There's no func_tracktrain last time I tried, I could create the entity and it had all the values and stuff, but when I unselected it in 3d view it was gone.[/QUOTE] func_tracktrain is a brush entity you can't make it with the entity tool. Use the brush tool and make a brush, then click on Options>Tie to Entity or the button "To Entity" at the Entity dialog to the right.